Bug 250892 - gnome-panel should always give some kind of icon to launchers
gnome-panel should always give some kind of icon to launchers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 13:51 EDT by Vic Ricker
Modified: 2008-06-16 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vic Ricker 2007-08-04 13:51:10 EDT
Description of problem:
It is possible, and all too easy, to add invisible/unusable launchers to the panel.

Version-Release number of selected component (if applicable):

gnome-panel-2.18.3-1.fc7


How reproducible:

Always

Steps to Reproduce:
1. Right click panel to get context menu
2. Choose "Add to panel
3. Choose "Custom Application Launcher"
4. Create a launcher with no icon and hit "OK".

Actual results:
The launcher is added to the panel with no icon.

Expected results:
Perhaps a default icon should be shown when no icon is specified or if the
specified icon is missing.

Additional info:
When creating a launcher, "No Icon" is a poor default choice.

I had an invisible launcher that was locked in my panel.  (I assume I
accidentally moved or deleted the image that it was using.)  This caused the
panel to not let me move some icons past the invisible, locked launcher.
Comment 1 Ray Strode [halfline] 2007-08-14 14:01:30 EDT
So we choose an icon by default, I believe.  How did you get to "No Icon" ?

Or does it default to "No Icon" for you?
Comment 2 Ray Strode [halfline] 2007-08-14 14:02:11 EDT
granted, "No Icon" is pretty much never the right choice, so we should just pick
the default if "No Icon" is picked, I suppose.
Comment 3 Vic Ricker 2007-08-14 14:31:19 EDT
I guess there are really two problems.

1. Launchers in the panel, with missing or unspecified icons, are invisible. 
Perhaps it could display a default icon or a broken icon if the specified image
file is missing?

2. The "Create Launcher" dialog defaults to "No Icon".  If the panel would
always show some kind of icon, this wouldn't be a big deal.  Although, it would
be nice if the default was a generic application icon.
Comment 4 Ray Strode [halfline] 2007-08-14 14:46:33 EDT
it looks like 2 is already fixed in rawhide, so let's just keep this bug open for 1.

Retitling for clarity
Comment 5 Bug Zapper 2008-05-14 09:52:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:05:57 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.